package J20250717.demo02_interface;

/**
 * @author WanJl
 * @version 1.0
 * @title Main
 * @description
 * @create 2025/7/17
 */
public class Main {
    public static void main(String[] args) {
//        BirdMan birdMan=new BirdMan();
//        birdMan.fly();
//        birdMan.swim();

        Mouse mouse=new Mouse();//创建鼠标对象
        Key key=new Key();//创建键盘对象
        Notepad notepad=new Notepad();  //创建笔记本对象
        notepad.run();  //调用开机方法
        notepad.useUsb(mouse);  //使用USB设备 mouse
        notepad.useUsb(key);    //使用USB设备 key
        notepad.shutdown();     //调用关机方法
    }
}
